Package wx :: Class CheckListBox

[frames | no frames]

## Type CheckListBox

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                object --+   |
                         |   |
             ItemContainer --+
                             |
              ControlWithItems --+
                                 |
                           ListBox --+
                                     |
                                    CheckListBox

Proxy of C++ CheckListBox class

Method Summary
CheckListBox | `__init__(self, parent, id, pos, size, choices, style, validator, name)`
| ``Check`(*args, **kwargs)` Check(self, unsigned int index, int check=True)
bool | ``Create`(self, parent, id, pos, size, style, validator, name)` Do the 2nd phase and create the GUI control.
| ``GetChecked`(self)` Return a tuple of integers corresponding to the checked items in the control, based on `IsChecked`.
| ``GetCheckedStrings`(self)` Return a tuple of strings corresponding to the checked items of the control, based on `GetChecked`.
int | `GetItemHeight(self)`
| ``IsChecked`(*args, **kwargs)` IsChecked(self, unsigned int index) -> bool
| ``SetChecked`(self, indexes)` Sets the checked state of items if the index of the item is found in the indexes sequence.
| ``SetCheckedStrings`(self, indexes)` Sets the checked state of items if the item's string is found in the strings sequence.

Property Summary
| `Checked`: GetChecked(self)
| `CheckedStrings`: GetCheckedStrings(self)
| `ItemHeight`: GetItemHeight(self) -> int
| `thisown`: The membership flag

Instance Method Details

### Check(*args, **kwargs)

Check(self, unsigned int index, int check=True)

### Create(self, parent, id=-1, pos=DefaultPosition, size=DefaultSize, choices=wxPyEmptyStringArray, style=0, validator=DefaultValidator, name=ListBoxNameStr)

Do the 2nd phase and create the GUI control.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.ListBox.Create` (inherited documentation)

### GetChecked(self)

Return a tuple of integers corresponding to the checked items in the control, based on `IsChecked`.

### GetCheckedStrings(self)

Return a tuple of strings corresponding to the checked items of the control, based on `GetChecked`.

### IsChecked(*args, **kwargs)

IsChecked(self, unsigned int index) -> bool

### SetChecked(self, indexes)

Sets the checked state of items if the index of the item is found in the indexes sequence.

### SetCheckedStrings(self, indexes)

Sets the checked state of items if the item's string is found in the strings sequence.

Property Details

### Checked

GetChecked(self)

Return a tuple of integers corresponding to the checked items in the control, based on `IsChecked`.

  Get Method:
    `GetChecked`(self)
  Set Method:
    `SetChecked`(self, indexes)

### CheckedStrings

GetCheckedStrings(self)

Return a tuple of strings corresponding to the checked items of the control, based on `GetChecked`.

  Get Method:
    `GetCheckedStrings`(self)
  Set Method:
    `SetCheckedStrings`(self, indexes)

### ItemHeight

GetItemHeight(self) -> int

  Get Method:
    `GetItemHeight`(self)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:53:51 2009 | http://epydoc.sf.net